=== debian/changelog ===
sea-defender (0.9-2ubuntu1) quantal; urgency=low

  * snoutlib/gldefs.h:
    Update a conflicting typedef declaration to match the one from GL headers.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 16:54:32 +0200

sea-defender (0.9-2) unstable; urgency=low

  * Drop -minline-all-stringops to fix FTBFS. (Closes: #602469)
  * Put config and highscore files into $HOME. (Closes: #602881)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 03 Feb 2011 11:08:13 +0100

sea-defender (0.9-1) unstable; urgency=low

  * Initial release. (Closes: #575481)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sun, 12 Sep 2010 16:38:22 +0200
