=== debian/control ===
Source: sea-defender
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7), libglfw-dev, mesa-common-dev, libglu1-mesa-dev, libxrandr-dev
Standards-Version: 3.9.1
Homepage: http://www.pouet.net/prod.php?which=54272

Package: sea-defender
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sea defender
 This is a simple missile command clone.
